Bug 450409 - Review Request: rcssserver3d - Robocup Soccer Simulation Server 3D
Review Request: rcssserver3d - Robocup Soccer Simulation Server 3D
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-07 17:41 EDT by Hedayat Vatankhah
Modified: 2008-08-07 19:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-05 02:46:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hedayat Vatankhah 2008-06-07 17:41:41 EDT
Spec URL: http://assembla.com/file/hedayat/1_rcssserver3d.spec 
SRPM URL: http://assembla.com/file/hedayat/1_rcssserver3d-0.5.9-1.fc9.src.rpm

(Notice: "1_" prefix to file names have been added by assembla.com. The original files didn't have this prefix.)

First Package: This is my first package and so I should be sponsored.

Description:
The RoboCup Soccer Simulator is a research and educational tool for multi-agent
systems and artificial intelligence. It enables for two teams of 11 simulated
autonomous robotic players to play soccer (football).

This package contains the 3D version of the simulator.

Some comments:
I've read the packaging guidelines and other related documents. These are what I think I should mention:
1. rpmlint is silent about my spec file & srpm
2. rpmlint prints a warning about a non config file in etc: "/etc/ld.so.conf.d/rcssserver3d.conf" but I think it's OK according to other packages.
4. I've included some .so files in the main package because the binary looks for them at run time.

Thanks!
Comment 2 Mamoru TASAKA 2008-06-12 03:03:19 EDT
Your package does not build (build stops at the very early stage)

http://koji.fedoraproject.org/koji/taskinfo?taskID=658547
Comment 3 Hedayat Vatankhah 2008-06-12 15:43:38 EDT
First, thank you very much for the test.
I'm sorry about it. I've forgot to include libtool as a build dependency.
Also I should than Tim for his comments on my package
(https://www.redhat.com/archives/fedora-robotics-list/2008-June/msg00002.html)

After fixing the mentioned problems (as far as I could!), I've uploaded new spec
and srpm files. Hopefully, they'll be in a better shape. It would be really nice
if you could have a look again:

SPEC:
http://www.assembla.com/spaces/hedayat/documents/dC7Shyoh0r3z6aab7jnrAJ/download/rcssserver3d.spec

(Or if that doesn't work: http://www.assembla.com/file/hedayat/1_rcssserver3d.spec)

SRPM:
http://www.assembla.com/spaces/hedayat/documents/dZMbxQohOr3yDvab7jnrAJ/download/rcssserver3d-0.5.9-1.20080611cvs.fc9.src.rpm

(Or:
http://www.assembla.com/file/hedayat/1_rcssserver3d-0.5.9-1.20080611cvs.fc9.src.rpm)

Some of the changes include:
- addition of a -doc subpackage
- added libtool as a build time dependency
- removed rcssmonitor3D-lite from built binaries
- using CVS sources which include my patches for Fedora packaging (I'm an
upstream contributor)

Thanks again
Comment 4 Hedayat Vatankhah 2008-06-12 18:22:21 EDT
I was able to successfully build the packages at home using mock. 
Currently, I don't know if I can do anything with rpmlint warning/errors on
-devel package:

W: dangling-relative-symlink:
These symlinks point to libraries which are available in the main package. I've
tried using absolute path for the links but rpmlint says that they must be relative.

E: only-non-binary-in-usr-lib:
I've put some .so symlinks in /usr/lib and I don't know what should I do with
this error since I don't see any binary files which I can put in this directory
in the -devel package.


Thanks in advance,
Hedayat
Comment 5 Mamoru TASAKA 2008-06-14 16:01:59 EDT
Before I can review this:

During license check, I found that the following files are licensed
under "NVIDIA license":
--------------------------------------------------------------
lib/kerosin/sceneserver/helper/NVMeshMender.cpp
lib/kerosin/sceneserver/helper/NVMeshMender.h
lib/kerosin/sceneserver/helper/nv_algebra.cpp
lib/kerosin/sceneserver/helper/nv_math/
---------------------------------------------------------------
which does not contain explicit permission to copy/modify/(re)distrubute
this codes and regarded as NON-Free (see:
https://www.redhat.com/archives/fedora-legal-list/2008-June/msg00015.html )

Please contact the upstream to how to deal with these files
(or if you can remove these files and repackage the source).

Once setting FE-Legal.
Comment 6 Hedayat Vatankhah 2008-06-15 15:13:29 EDT
WOW thanks! 
It seems that these files are part of NVidia SDK (I've searched a little for
them), which is under this license AFAIK: 
http://developer.download.nvidia.com/licenses/general_license.txt

(NVMeshMender: http://developer.nvidia.com/object/NVMeshMender.html)

Anyway, I'm waiting for upstream developers' answer(s) about the actual source
of these codes and its license. But I think there will be no legal problem here,
and maybe the review can be continued while we are waiting for clarification.

Thanks a lot
Comment 7 Hedayat Vatankhah 2008-06-16 09:03:03 EDT
OK, It is confirmed by one of the upstream developers that these files are from
nvidia SDK. And it seems that the license is free(?!)
Comment 8 Mamoru TASAKA 2008-06-16 10:28:25 EDT
Would you show us the main(?) you actually received from the upstream?
Comment 9 Mamoru TASAKA 2008-06-16 13:26:02 EDT
(In reply to comment #8)
> Would you show us the main(?) you actually received from the upstream?
Would you show us the mail(?) ... sorry

Comment 10 Hedayat Vatankhah 2008-06-16 14:32:51 EDT
The mailing list archive in sourceforge.net is not visible for public. I can
paste the mail content here (and my reply). : 

Subject: 	Re: [simspark-devel] NVidia files license?!
Date: 	Sun, 15 Jun 2008 22:29:38 +0200
From: 	Markus Rollmann <rollmark@uni-koblenz.de>
To: 	Hedayat Vatankhah <hedayatvk@aim.com>
CC: 	Simspark Devel ML <simspark-devel@lists.sourceforge.net>
References: 	<48556306.3010705@aim.com>


Hi,

Hedayat Vatankhah wrote:
> A little question: please let me know about the license of the files at 
> lib/kerosin/sceneserver/helper/.
> It seems that they are from NVidia SDK right?

Yes these are from the NVDIA SDK [1].

> It would be nice if someone could send the information. I should clarify 
> their license status for my rcssserver3d package to be accepted in Fedora.

I think the applicable license is found at [2].

The NVIDIA MeshMender is a helper tool for per pixel lightning that was 
part of the original fancy lighting implementation that is currently 
unused or commented out completely in the OpenGLServer.

Therefore I think we could also remove the NVIDIA files from the CVS if 
necessary.

cheers,
Markus

[1] http://developer.nvidia.com/object/NVMeshMender.html
[2] http://developer.download.nvidia.com/licenses/general_license.txt

-------------------------------------------------------------------------
My Reply:

Subject: 	Re: [simspark-devel] NVidia files license?!
Date: 	Mon, 16 Jun 2008 12:16:47 +0430
From: 	Hedayat Vatankhah <hedayatvk@aim.com>
To: 	Markus Rollmann <rollmark@uni-koblenz.de>
CC: 	Simspark Devel ML <simspark-devel@lists.sourceforge.net>
References: 	<48556306.3010705@aim.com> <48557BB2.2020802@uni-koblenz.de>


Hi Markus,
Thanks for your answer.

I've tried removing these files from server, but they are used by
voidmeshimporter plug-in. Anyway,  I think the license should be acceptable as a
free license.

It seems that voidmeshimporter is not used currently right?! So in the worst
case I should be able to remove this plugin from the package (?).

Thanks again,
Hedayat

Markus Rollmann <rollmark@uni-koblenz.de> wrote on 06/16/2008 12:59:38 AM:
> Hi,
>
> Hedayat Vatankhah wrote:
>> A little question: please let me know about the license of the files at
lib/kerosin/sceneserver/helper/.
>> It seems that they are from NVidia SDK right?
>
> Yes these are from the NVDIA SDK [1].
>
>> It would be nice if someone could send the information. I should clarify
their license status for my rcssserver3d package to be accepted in Fedora.
>
> I think the applicable license is found at [2].
>
> The NVIDIA MeshMender is a helper tool for per pixel lightning that was part
of the original fancy lighting implementation that is currently unused or
commented out completely in the OpenGLServer.
>
> Therefore I think we could also remove the NVIDIA files from the CVS if necessary.
>
> cheers,
> Markus
>
> [1] http://developer.nvidia.com/object/NVMeshMender.html
> [2] http://developer.download.nvidia.com/licenses/general_license.txt
>
----------------------------------------------------------------------------

Comment 11 Hedayat Vatankhah 2008-06-19 19:28:15 EDT
OK! I've updated my package to the latest CVS code. It doesn't have any NVidia
licensed files anymore, so the legal problem is resolved now! So, FE-Legal
should not be needed anymore (?!).

SRPM:
http://www.assembla.com/spaces/hedayat/documents/dOrnuopLqr3BySab7jnrAJ/download/rcssserver3d-0.6-0.1.20080620cvs.fc9.src.rpm

SPEC:
http://www.assembla.com/spaces/hedayat/documents/dC7Shyoh0r3z6aab7jnrAJ/download/rcssserver3d.spec

(
OR
SRPM:
http://assembla.com/file/hedayat/1_rcssserver3d-0.6-0.1.20080620cvs.fc9.src.rpm
SPEC: http://assembla.com/file/hedayat/2_rcssserver3d.spec
)
Comment 12 Hedayat Vatankhah 2008-06-20 02:05:39 EDT
Oh, sorry. While the files are not part of the build process, I forgot to remove
them from the source package contained in the SRPM. Those files can be removed
safely from the package. I'll upload a new SRPM soon, but the resulting rpms
will be the same as this one.

Comment 14 Mamoru TASAKA 2008-06-22 00:56:28 EDT
Doesn't build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=674696
Comment 16 Mamoru TASAKA 2008-06-23 11:11:19 EDT
Okay, license issue is now resolved.
Comment 17 Mamoru TASAKA 2008-06-23 14:59:44 EDT
Please change the release number every time you modify your spec
file.

For 0.6-0.1:
* Source files
  - %SOURCE0 included in your srpm differs from what I can download
    from the URL as written

  - Please write the full URL of (or how you received) %SOURCE1

* BuildRequires
  - Some BuildRequires are redundant
    https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
  - Also you are writing mesa-libGL-devel twice.
    BTW please use 'libGL-devel' instead of mesa-libGL-devel.

* Requires
  - When adding Ruby to Requires, also ruby(abi) Requires must be
    added:
    https://fedoraproject.org/wiki/Packaging/Ruby

* Requires for -devel subpackage
  - Please investigate and add proper Requires for -devel subpackage.
    For example, rcssserver3d/zeitgeist/parameterlist.h contains:
---------------------------------------------------------------
    24  
    25  #include <boost/any.hpp>
    26  #include <vector>
---------------------------------------------------------------
    This means that rcsssserver3d-devel should have
    "Requires: boost-devel"

* Redundant description
  - Please remove all SUSE related description. This just makes
    your spec file complicated unneededly.

* %vendor macro
---------------------------------------------------------------
%define         vendor fedora
---------------------------------------------------------------
  - You must not define %vendor macro. This macro overrides
    "Vendor:" value on "rpm -qi", where Fedora uses "Fedora Project"
    by default.

* Subpackages having different version from main package
----------------------------------------------------------------
Version:        1.1
----------------------------------------------------------------
  - We don't allow that subpackages has different version from
    main package but for some exception (like perl, texlive).

* %prep vs %build
----------------------------------------------------------------
autoreconf --install
chmod a-x app/simspark/rsg/agent/nao/*
find -name "*.cpp" -exec chmod a-x {} \;
find -name "*.h" -exec chmod a-x {} \;
----------------------------------------------------------------
  - Please move all to %prep.

* Timestamps
  - As this package installs many files which are not modified
    during build, please use
----------------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" CPPROG="cp -p"
----------------------------------------------------------------
    to keep timestamps on installed files.
    The method 'INSTALL="install -p"' usually works for recent 
    autotool-based Makefiles.
    And sometimes 'CPPROG="cp -p"' is needed for some old packages
    using install-sh for installing files

  - Also, when using "install" or "cp" commands, add "-p" option.

* Desktop file Category
  - "X-Red-Hat-Base" is deprecated and should not be added any longer.

* ld.so.conf.d
----------------------------------------------------------------
%{_sysconfdir}/ld.so.conf.d/%{name}.conf
----------------------------------------------------------------
  ! Please don't add this. 
    All files under %{_libdir}/%{name} are used only for this package
    and making those libraries system wide is undesirable unless it is
    actually intended.
    And this actually causes problem as
    - Fedora ships tinyxml, which provides libtinyxml.so.0 
      (and installs this library under %{_libdir}), and some
      rpms require this library.
    - However when this ld.so.conf file is added, all binaries requiring
      libtinyxml.so.0 finds the libraries under %{_libdir}/%{name}/
      first and tries to use it, not %{_libdir}/libtinyxml.so
    For example, when you install rcssserver3d and cegui,
    The following happen:
----------------------------------------------------------------
[tasaka1@localhost ~]$ ldd -r /usr/lib/libCEGUITinyXMLParser-0.6.0.so
        linux-gate.so.1 =>  (0x00110000)
        libCEGUIBase-0.6.0.so => /usr/lib/libCEGUIBase-0.6.0.so (0x00117000)
        libtinyxml.so.0 => /usr/lib/rcssserver3d/libtinyxml.so.0 (0x00377000)
<======
        libxerces-c.so.28 => /usr/lib/libxerces-c.so.28 (0x0038a000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x00763000)
        libdl.so.2 => /lib/libdl.so.2 (0x0077d000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00782000)
        libm.so.6 => /lib/libm.so.6 (0x00874000)
        libc.so.6 => /lib/libc.so.6 (0x0089d000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00a3d000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00a4b000)
        libpcre.so.0 => /lib/libpcre.so.0 (0x00ade000)
        /lib/ld-linux.so.2 (0x00a1b000)
undefined symbol: _ZNK13TiXmlDocument6AcceptEP12TiXmlVisitor   
(/usr/lib/libCEGUITinyXMLParser-0.6.0.so)
undefined symbol: _ZN13TiXmlDocument8StreamInEPSiPSs   
(/usr/lib/libCEGUITinyXMLParser-0.6.0.so)
----------------------------------------------------------------
     The expected result is:
----------------------------------------------------------------
[tasaka1@localhost ~]$ ldd -r /usr/lib/libCEGUITinyXMLParser-0.6.0.so
        linux-gate.so.1 =>  (0x00110000)
        libCEGUIBase-0.6.0.so => /usr/lib/libCEGUIBase-0.6.0.so (0x00117000)
        libtinyxml.so.0 => /usr/lib/libtinyxml.so.0 (0x00377000)
        libxerces-c.so.28 => /usr/lib/libxerces-c.so.28 (0x0038e000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x00767000)
        libdl.so.2 => /lib/libdl.so.2 (0x00781000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00786000)
        libm.so.6 => /lib/libm.so.6 (0x00878000)
        libc.so.6 => /lib/libc.so.6 (0x008a1000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00a3d000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb7fd1000)
        libpcre.so.0 => /lib/libpcre.so.0 (0xb7fa6000)
        /lib/ld-linux.so.2 (0x00a1b000)
---------------------------------------------------------------
    Also, shipping libtinyxml.so.0 in the current way is causing
    a problem on rpm system anyway because on rpm rcssserver3d package
    also "Provides" libtinyxml.so.0. 
    This means that (for example) cegui can be installed without 
    tinyxml package if rcssserver3d is installed, while tinyxml 
    package is actually needed for cegui, which of course cause a 
    problem (you can try this).

    So you must follow below:
    - Please remove %{name}.conf file under %_sysconfdir/ld.so.conf.d
    - Check if system wide libtinyxml.so provided by tinyxml package
      can substitute for %{_libdir}/%{name}/libtinyxml.so.0
      (by adding patches)
    - If it seems difficult, filter out libtinyxml.so.0 from Requires/
      Provides following
      http://fedoraproject.org/wiki/PackagingDrafts/FilteringAutomaticDependencies
      (some explanation are written on
      http://www.redhat.com/archives/fedora-maintainers/2007-June/msg00690.html )

    - Remove "--disable-rpath" from %configure option.
      Well, actually the reason you had to add ld.so.conf.d file was
      because you removed the *needed rpath* %{_libdir}/%{name}.
    - Then calling /sbin/ldconfig on scriptles should be no longer needed.
Comment 18 Hedayat Vatankhah 2008-06-23 17:42:48 EDT
OK, I thought that I should increase the release number after the approval of
the first rpm.

* Source files:
 - Yes, the package was a CVS version of the server. 0.6 has released yesterday
and I'll upload a new package using the released version. I don't know what URL
should I use for CVS versions of the package since there is no released tar.gz
for such versions.

- I've created %SOURCE1 using the pictures which can be found in the
user-manual.pdf. Should I specify this in the spec file? Where and how?

* BuildRequires:
No, I've written mesa-libGL-devel and mesa-libGLU-devel. OK, I'll use
libGL-devel and libGLU-devel.

* Requires:
* Requires for -devel subpackage:
OK

* Redundant description:
OK, I'll separate my Fedora spec file from the (to-become) generic spec file

* %vendor macro:
OK, the macro will be useless in the Fedora-only spec file anyway.

* Subpackages having different version from main package:
I've used a separate version since the -doc subpackage doesn't change that
often. BTW, I'll remove the version as desired.

* %prep vs %build:
* Timestamps
* Desktop file Category
OK

* ld.so.conf.d:
OK! The --disable-rpath option was added just because of Fedora!! Since the
guidelines say the rpath is prohibited I've added this option. It seems that
using rpath is allowed in this case, so I'll use it. The ld.so.conf file was
added for the same reason. I'll remove it too.
I'll remove tinyxml files from the package.

I'll upload a new spec/srpm based on your comments.
Thanks
Comment 19 Hedayat Vatankhah 2008-06-23 17:51:31 EDT
The only redundant build requirement seems to be gcc-c++. I'll remove it but it
doesn't seems to be a requirement. 
Comment 21 Mamoru TASAKA 2008-06-28 13:43:04 EDT
For 0.6-2

* SourceURL
  - %SOURCE0 tarball could not be found from the URL written as %SOURCE0.
    Maybe: http://downloads.sourceforge.net/sserver/%{name}-%{version}.tar.gz ?

* Source1
  - Please specify the URL of (or how you received) %SOURCE1

* Macros
  - Please use macros properly. /usr/bin should be %{_bindir}.

* libtinyxml.so linkage
--------------------------------------------------------------------
  2382  g++ -shared -nostdlib
/usr/lib/gcc/i386-redhat-linux/4.3.1/../../../crti.o
/usr/lib/gcc/i386-redhat-linux/4.3.1/crtbeginS.o  .libs/export.o
.libs/roselements.o .libs/rosimporter.o .libs/rosimporter_c.o  -Wl,--rpath
-Wl,/builddir/build/BUILD/rcssserver3d-0.6/utility/tinyxml/.libs -Wl,--rpath
-Wl,/usr/lib/rcssserver3d
/builddir/build/BUILD/rcssserver3d-0.6/utility/tinyxml/.libs/libtinyxml.so
-L/usr/lib/gcc/i386-redhat-linux/4.3.1
-L/usr/lib/gcc/i386-redhat-linux/4.3.1/../../.. -lstdc++ -lm -lc -lgcc_s
/usr/lib/gcc/i386-redhat-linux/4.3.1/crtendS.o
/usr/lib/gcc/i386-redhat-linux/4.3.1/../../../crtn.o  -m32 -march=i386
-mtune=generic -Wl,-soname -Wl,rosimporter.so -o .libs/rosimporter.so
  3902  + rm -rf
/var/tmp/rcssserver3d-0.6-2.fc10-root-mockbuild//usr/lib/rcssserver3d/libtinyxml.so
/var/tmp/rcssserver3d-0.6-2.fc10-root-
mockbuild//usr/lib/rcssserver3d/libtinyxml.so.0
/var/tmp/rcssserver3d-0.6-2.fc10-root-mockbuild//usr/lib/rcssserver3d/libtinyxml.so.0.0.0
--------------------------------------------------------------------
  - When building rosimporter.so, the internal libtinyxml.so is used, however
    when installing rosimporter.so, the internal libtinyxml.so is removed.
    This is dangerous because system-wide libtinyxml.so may change sover or may
    have different ABI than the internal libtinyxml.so.

    You should create a patch which makes it sure that rosimporter.so is actually
    linked against system wide libtinyxml.so.

* Timestamps
  - To keep timestamps on more files to be installed, please apply the
    following:
--------------------------------------------------------------------
sed -i.stamp -e 's|cp -r|cp -pr|' app/simspark/Makefile.{am,in}
--------------------------------------------------------------------
Comment 22 Hedayat Vatankhah 2008-06-28 15:40:41 EDT
* SourceURL
Yes, you're right. 

* Source1
OK, I added a comment in the spec file about it

* Macros
Fixed!

* libtinyxml.so linkage
Yes you're right. It was a temporary solution since rosimporter is currently
unused! But I found that the tinyxml library in the package has some additional
functionality, so I'll filter or rename the library.

* Timestamps
Done

I'll create a (hopefully!) better SRPM soon.

Thanks a lot
Comment 24 Mamoru TASAKA 2008-07-03 10:33:03 EDT
This package itself is now okay.
Then:

-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few (or no) work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 25 Hedayat Vatankhah 2008-07-10 18:10:13 EDT
I've created a new review request:
https://bugzilla.redhat.com/show_bug.cgi?id=454940
Comment 26 Mamoru TASAKA 2008-07-30 10:55:53 EDT
As your another review request is now in good shape, I will
approve this package.

----------------------------------------------------------------------
        This package (rcssserver3d) is APPROVED by me
----------------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".

I confirmed that you have already requested for packager (renamed from cvsextras)
membership, however on FAS (Fedora Accrount System) your email address differs
from the one you are using on bugzilla. Please fix FAS email address. Then
I will sponsor you.

If you want to import this package into Fedora 8/9, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you want to import this package into Fedora 8/9, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.
Comment 27 Hedayat Vatankhah 2008-08-01 17:12:31 EDT
Thanks a lot. I've fixed my FAS account email address. 
Comment 28 Mamoru TASAKA 2008-08-01 22:21:01 EDT
Confirmed. Now I am sponsoring you. Please follow "Join" wiki again.
Comment 29 Hedayat Vatankhah 2008-08-03 11:39:30 EDT
New Package CVS Request
=======================
Package Name: rcssserver3d
Short Description: Robocup Soccer Simulation Server 3D
Owners: hedayat
Branches: F-8 F-9
Cvsextras Commits: yes
Comment 30 Kevin Fenzi 2008-08-04 14:44:25 EDT
cvs done.
Comment 31 Hedayat Vatankhah 2008-08-04 15:35:21 EDT
Thanks
Comment 32 Fedora Update System 2008-08-04 18:11:18 EDT
rcssserver3d-0.6-3.fc8 has been submitted as an update for Fedora 8
Comment 33 Fedora Update System 2008-08-04 18:13:55 EDT
rcssserver3d-0.6-3.fc9 has been submitted as an update for Fedora 9
Comment 34 Mamoru TASAKA 2008-08-05 02:46:40 EDT
Closing.
Comment 35 Fedora Update System 2008-08-07 19:50:20 EDT
rcssserver3d-0.6-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 36 Fedora Update System 2008-08-07 19:59:14 EDT
rcssserver3d-0.6-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.